Bug 1000893 - Desktop Live is oversized (larger than 1 GB)
Summary: Desktop Live is oversized (larger than 1 GB)
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: LiveCD
Version: 20
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard: AcceptedBlocker
Keywords: Reopened
Depends On: 962028 991706 1006259 1014820 1014823
Blocks: F20FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2013-08-26 04:15 UTC by Andre Robatino
Modified: 2013-12-12 08:14 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-12-12 08:14:49 UTC


Attachments (Terms of Use)

Description Andre Robatino 2013-08-26 04:15:35 UTC
Description of problem:

Fedora-Live-Desktop-x86_64-20-Alpha-TC1-1.iso : 1,032,847,360 bytes (1.033 GB)

As indicated at https://fedoraproject.org/wiki/QA:Testcase_Mediakit_ISO_Size and https://fedoraproject.org/wiki/Releases/20/Spins , the size limit is 1,000,000,000 bytes = 1 GB.

Version-Release number of selected component (if applicable):
20 Alpha TC1

Comment 1 Andre Robatino 2013-08-29 03:36:44 UTC
Both i386 and x86_64 are oversized in 20 Alpha TC2.

Fedora-Live-Desktop-i686-20-Alpha-TC2-1.iso : 1,008,730,112 bytes (1.009 GB)
Fedora-Live-Desktop-x86_64-20-Alpha-TC2-1.iso : 1,044,381,696 bytes (1.044 GB)

Comment 2 Andre Robatino 2013-09-04 17:49:52 UTC
Only x86_64 is oversized in 20 Alpha TC3.

Fedora-Live-Desktop-i686-20-Alpha-TC3-1.iso : 969,932,800 bytes (0.970 GB)
Fedora-Live-Desktop-x86_64-20-Alpha-TC3-1.iso : 1,004,535,808 bytes (1.005 GB)

Comment 3 Andre Robatino 2013-09-05 14:06:17 UTC
x86_64 is oversized in 20 Alpha TC4.

Fedora-Live-Desktop-i686-20-Alpha-TC4.iso : 968,884,224 bytes (0.969 GB)
Fedora-Live-Desktop-x86_64-20-Alpha-TC4.iso : 1,003,487,232 bytes (1.003 GB)

Comment 4 Andre Robatino 2013-09-08 19:52:08 UTC
x86_64 is oversized in 20 Alpha TC5.

Fedora-Live-Desktop-i686-20-Alpha-TC5.iso : 967,835,648 bytes (0.968 GB)
Fedora-Live-Desktop-x86_64-20-Alpha-TC5.iso : 1,002,438,656 bytes (1.002 GB)

Comment 5 Andre Robatino 2013-09-08 22:08:23 UTC
Automatic Beta Blocker according to https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process#Automatic_blockers : "Any release-blocking Beta or Final TC/RC image exceeding its target size (failures of QA:Testcase_Mediakit_ISO_Size)".

Comment 6 Andre Robatino 2013-09-11 18:24:04 UTC
x86_64 is oversized in 20 Alpha RC1.

Fedora-Live-Desktop-i686-20-Alpha-1.iso : 972,029,952 bytes (0.972 GB)
Fedora-Live-Desktop-x86_64-20-Alpha-1.iso : 1,005,584,384 bytes (1.006 GB)

Comment 7 Andre Robatino 2013-09-12 10:15:47 UTC
x86_64 is oversized in 20 Alpha RC2.

Fedora-Live-Desktop-i686-20-Alpha-2.iso : 972,029,952 bytes (0.972 GB)
Fedora-Live-Desktop-x86_64-20-Alpha-2.iso : 1,006,632,960 bytes (1.007 GB)

Comment 8 Andre Robatino 2013-09-17 02:17:34 UTC
x86_64 is oversized in 20 Alpha RC3.

Fedora-Live-Desktop-i686-20-Alpha-3.iso : 972,029,952 bytes (0.972 GB)
Fedora-Live-Desktop-x86_64-20-Alpha-3.iso : 1,005,584,384 bytes (1.006 GB)

Comment 9 Andre Robatino 2013-09-19 01:05:42 UTC
x86_64 is oversized in 20 Alpha RC4.

Fedora-Live-Desktop-i686-20-Alpha-4.iso : 972,029,952 bytes (0.972 GB)
Fedora-Live-Desktop-x86_64-20-Alpha-4.iso : 1,006,632,960 bytes (1.007 GB)

Comment 10 Andre Robatino 2013-10-03 07:08:44 UTC
x86_64 is oversized in 20 Beta TC1.

Fedora-Live-Desktop-i686-20-Beta-TC1.iso : 974,127,104 bytes (0.974 GB)
Fedora-Live-Desktop-x86_64-20-Beta-TC1.iso : 1,008,730,112 bytes (1.009 GB)

Comment 11 Andre Robatino 2013-10-08 16:41:25 UTC
x86_64 is oversized in 20 Beta TC2.

Fedora-Live-Desktop-i686-20-Beta-TC2.iso : 993,001,472 bytes (0.993 GB)
Fedora-Live-Desktop-x86_64-20-Beta-TC2.iso : 1,027,604,480 bytes (1.028 GB)

Comment 12 Adam Williamson 2013-10-11 09:39:00 UTC
It looks like TC2 was not built with the latest changes from desktop team intended to reduce size - gnome-boxes, gnome-dictionary and prelink have all been dropped in commits aeb2bf20349398e3812bbdb4388b72d662495d5a and aac93c046ad977cfe9fc384b3984f1500950e098 , but are all present on the TC2 desktop live. So we may not need to do anything specific for TC3 except make sure the latest kickstarts are used, and it might come out OK.

Comment 13 Andre Robatino 2013-10-14 16:55:00 UTC
Within size limit in 20 Beta TC4.

Fedora-Live-Desktop-i686-20-Beta-TC4.iso : 953,155,584 bytes (0.953 GB)
Fedora-Live-Desktop-x86_64-20-Beta-TC4.iso : 987,758,592 bytes (0.988 GB)

Comment 14 Adam Williamson 2013-10-16 10:30:16 UTC
can be closed then, as no packages need to be pushed stable.

Comment 15 Andre Robatino 2013-11-05 14:02:06 UTC
Oversized in 20 Beta RC3.

Fedora-Live-Desktop-i686-20-Beta-3.iso : 975,175,680 bytes (0.975 GB)
Fedora-Live-Desktop-x86_64-20-Beta-3.iso : 1,008,730,112 bytes (1.009 GB)

Comment 16 Adam Williamson 2013-11-05 17:04:17 UTC
That's weird. The test image I built with what should have been the RC3 package set last night was:

987758592 Nov  4 18:46 20131104-prerc3-x86_64.iso

Comment 17 Adam Williamson 2013-11-05 18:38:27 UTC
So we looked into this and it was a snafu in the image build process. Dennis will build RC4, the only change from RC3 being to build the live images right, which should fix this.

Comment 18 Andre Robatino 2013-11-06 02:14:41 UTC
Under size limit in 20 Beta RC4.

Fedora-Live-Desktop-i686-20-Beta-4.iso : 955,252,736 bytes (0.955 GB)
Fedora-Live-Desktop-x86_64-20-Beta-4.iso : 989,855,744 bytes (0.990 GB)

Comment 19 Andre Robatino 2013-11-21 03:03:59 UTC
Dangerously close to the size limit in 20 Final TC2.

Fedora-Live-Desktop-i686-20-TC2.iso : 967,835,648 bytes (0.968 GB)
Fedora-Live-Desktop-x86_64-20-TC2.iso : 999,292,928 bytes (0.999 GB)

Comment 20 Adam Williamson 2013-11-21 03:13:48 UTC
hrm. could be a problem if we pull in https://admin.fedoraproject.org/updates/fedora-logos-21.0.1-1.fc20 later.

Comment 21 Andre Robatino 2013-11-27 06:01:21 UTC
Oversized in 20 Final TC3.

Fedora-Live-Desktop-i686-20-TC3.iso : 965,738,496 bytes (0.966 GB)
Fedora-Live-Desktop-x86_64-20-TC3.iso : 1,002,438,656 bytes (1.002 GB)

Comment 22 Andre Robatino 2013-11-27 06:13:40 UTC
Automatic Final Blocker according to https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process#Automatic_blockers : "Any release-blocking Beta or Final TC/RC image exceeding its target size (failures of QA:Testcase_Mediakit_ISO_Size)".

Comment 23 Adam Williamson 2013-11-27 06:17:55 UTC
Sigh. What changed? Better look into it tomorrow.

Comment 24 Matthias Clasen 2013-11-27 22:41:08 UTC
Here's my quick analysis of the difference between tc2 and tc3:

new packages:

+289210 python-cssselect
+803118 libetonyek


size difference in existing packages:

+440364

detailed breakdown:

kbd-misc -526432
policycoreutils -272404
dnf -9692
smc-meera-fonts -4504
gnome-desktop3 -3115
setroubleshoot-server -3016
libreoffice-calc -608
kernel-modules-extra -400
python-javapackages -275
setroubleshoot -99
libreoffice-ure -64
krb5-libs -56
colord-libs -48
samba-client -47
folks -32
nautilus -24
evolution -16
evolution-data-server -16
samba-libs -16
systemd-libs -16
unzip -16
accountsservice -8
ibus-libpinyin -8
kmod-libs -8
libical -8
libreoffice-pdfimport -8
sqlite -8
samba-common -6
PackageKit-glib 8
kbd 8
librepo 8
xorg-x11-server-Xorg 8
caribou 35
libreoffice-graphicfilter 40
librsvg2 60
gnome-shell 164
PackageKit-yum 186
evince-libs 219
libreoffice-impress 264
colord 287
NetworkManager-glib 288
NetworkManager 315
glibmm24 330
langtable-data 332
langtable 343
pciutils 445
gtk3 726
smc-fonts-common 755
skkdic 1836
python-lxml 2285
gnome-screenshot 2622
pykickstart 4075
systemd-python 4231
wpa_supplicant 4248
yum-langpacks 4503
javapackages-tools 4572
python-blivet 4735
python-librepo 5808
libreoffice-writer 5873
python3-libs 5937
PackageKit 7232
kernel 8873
libbluray 12518
bluez 13031
libreoffice-core 15440
xorg-x11-drv-ati 15876
systemd 21179
cups-filters 39171
anaconda 52589
net-tools 66642
kmod 67347
clutter 71660
btrfs-progs 148210
policycoreutils-python 666000

Comment 25 Adam Williamson 2013-11-27 22:55:13 UTC
Note that up till TC2 we had about 10MB of slack, but this change:

https://admin.fedoraproject.org/updates/FEDORA-2013-21991/fedora-logos-21.0.1-1.fc20

- adding translated versions of the 'ad banners' shown during install - pushed us right up against the limit. We could consider the suggestion in the bug report - https://bugzilla.redhat.com/show_bug.cgi?id=1013280 - to use SVGs instead, which would save some space. See https://bugzilla.redhat.com/show_bug.cgi?id=1034390 and https://bugzilla.redhat.com/show_bug.cgi?id=1034407 .

Comment 26 Matthias Clasen 2013-11-27 23:03:40 UTC
or we could track down why libetonyek was allowed in as a new dependency at the last minute, and why policycoreutils-python thought it was a good idea to grow by 666000

Comment 27 Adam Williamson 2013-12-02 21:32:54 UTC
python-cssselect comes in via python-lxml, itself required by libreoffice. https://admin.fedoraproject.org/updates/FEDORA-2013-21226/python-lxml-3.2.4-1.fc20 made it just under the freeze wire. http://autoqa.fedoraproject.org/results/695877-autotest/virt02.qa/rpmguard/results/python-lxml-3.2.4-1..html (rpmguard autoqa test) confirms that it added the dependency; the package changelog notes:

* Wed Sep 18 2013 Jeffrey Ollie <jeff@ocjtech.us> - 3.2.3-2 - Add requirement for on python-cssselect for the python2 version

which isn't super-informative, but seems to imply it's really just something that it ought to depend on which was left out before, I guess.

libetonyek comes in directly via libreoffice, it's required by libreoffice-graphicfilter and libreoffice-writer in 4.1.3.2-6.fc20. It is described as "

Comment 28 Adam Williamson 2013-12-02 21:36:42 UTC
A library for import of Apple Keynote presentations". Package changelog gives no obvious indication as to the reason for the change; http://www.mail-archive.com/libreoffice@lists.freedesktop.org/msg79926.html looks sort of relevant, though I know about nothing about LO internals.

CCing dtardon to see if he can help with either/both.

Comment 29 Adam Williamson 2013-12-02 21:42:06 UTC
policycoreutils-python size change comes from another update that got in just under the freeze: https://admin.fedoraproject.org/updates/FEDORA-2013-21965/policycoreutils-2.2.2-2.fc20 . Changelog states:

"Shift around some of the files to more appropriate packages."

rpmguard - http://autoqa.fedoraproject.org/results/702450-autotest/virt04.qa/rpmguard/results/policycoreutils-2.2..html - shows that semodule_package was moved into policycoreutils-python.

Still, there's something odd going on, there. Both policycoreutils and policycoreutils-python are on the live images. semodule_package was moved *out* of policycoreutils, so the net impact of its move to policycoreutils-python should be zero. Several other binaries were moved from policycoreutils to policycoreutils-devel , which is *not* on the live images, so if anything, the change to policycoreutils should have *reduced* the size of the lives, not increased it. Yet according to mclasen's output:

policycoreutils -272404
policycoreutils-python 666000

somehow, the opposite happened. CCing dwalsh to see if he can shed any light.

Comment 30 Daniel Walsh 2013-12-02 22:21:20 UTC
policycoreutils-2.2.2-3.fc20 should shrink -python package considerably.

Comment 31 Adam Williamson 2013-12-02 23:59:25 UTC
That's http://koji.fedoraproject.org/koji/buildinfo?buildID=482277 . Thanks, Dan. Could you submit it to Bodhi?

Comment 32 Fedora Update System 2013-12-03 02:13:28 UTC
policycoreutils-2.2.2-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/policycoreutils-2.2.2-3.fc20

Comment 33 David Tardon 2013-12-03 08:54:28 UTC
(In reply to Matthias Clasen from comment #26)
> or we could track down why libetonyek was allowed in as a new dependency at
> the last minute

It was not "allowed in". It crept in through a broken cellar window. libreoffice 4.1 does not need it; in fact, it is not even mentioned anywhere in the sources. But libodfgen.pc has libetonyek in Requires, even though it only needs one header from it, which defines an import interface. I have moved it to Requires.private, so it should not be added to linker command line anymore. I am going to rebuild libodfgen and libreoffice presently.

Comment 34 David Tardon 2013-12-03 08:59:31 UTC
(In reply to Adam Williamson from comment #27)
> python-cssselect comes in via python-lxml, itself required by libreoffice.
> https://admin.fedoraproject.org/updates/FEDORA-2013-21226/python-lxml-3.2.4-

Where do you see that python-lxml is required by libreoffice?

$ rpmquery --whatrequires python-lxml
python-javapackages-3.3.1-1.fc20.noarch
calibre-1.9.0-4.fc20.x86_64
inkscape-0.48.4-10.fc20.x86_64

Comment 35 Andre Robatino 2013-12-03 12:00:38 UTC
Under size limit, just barely again, in 20 Final TC4.

Fedora-Live-Desktop-i686-20-TC4.iso : 963,641,344 bytes (0.964 GB)
Fedora-Live-Desktop-x86_64-20-TC4.iso : 999,292,928 bytes (0.999 GB)

Comment 36 Adam Williamson 2013-12-03 16:01:43 UTC
dtardon: I think I did a 'yum remove python-cssselect' and it wanted to pull libreoffice out, but I don't recall precisely.

Comment 37 Adam Williamson 2013-12-03 22:57:28 UTC
karma on the update would be appreciated - I can't karma it as I submitted it.

Comment 38 Fedora Update System 2013-12-04 08:04:42 UTC
libreoffice-4.1.3.2-9.fc20,libodfgen-0.0.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.1.3.2-9.fc20,libodfgen-0.0.3-2.fc20

Comment 39 Fedora Update System 2013-12-05 12:15:16 UTC
policycoreutils-2.2.2-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 40 Adam Williamson 2013-12-05 18:12:06 UTC
Let's close this now the build we pulled into TC4 is stable. Thanks for the libreoffice build, David, but we'll hold it in reserve for now - minimal necessary change is the mantra :) If we somehow get over-size again for TC5/RCs, we can pull it in.

Comment 41 Andre Robatino 2013-12-05 22:10:24 UTC
x86_64 is oversized in 20 Final TC5.

Fedora-Live-Desktop-i686-20-TC5.iso : 966,787,072 bytes (0.967 GB)
Fedora-Live-Desktop-x86_64-20-TC5.iso : 1,000,341,504 bytes (1.0003 GB)

Comment 42 Adam Williamson 2013-12-05 22:13:19 UTC
oh hey, looks like we'll need that LO fix after all :/ what the heck happened this time, I wonder?

Comment 43 Adam Williamson 2013-12-11 02:31:07 UTC
did a test build with all current blocker/FE fixes, and the libreoffice update; came out at 997195776 bytes. So we should be good for next build.

Comment 44 Adam Williamson 2013-12-12 01:51:19 UTC
RC1 is 999,292,928 bytes, just barely made it.

Comment 45 Andre Robatino 2013-12-12 07:21:14 UTC
Within size limit in 20 Final RC1.

Fedora-Live-Desktop-i686-20-1.iso : 966,787,072 bytes (0.967 GB)
Fedora-Live-Desktop-x86_64-20-1.iso : 999,292,928 bytes (0.999 GB)

Comment 46 Fedora Update System 2013-12-12 08:14:49 UTC
libreoffice-4.1.3.2-9.fc20, libodfgen-0.0.3-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.